%define upstream_name    Data-Dump-Streamer
%define upstream_version 2.32

%define _requires_exceptions perl(warnings::register)

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 2

Summary:	Accurately serialize a data structure as Perl code
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:	http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires:	perl(B)
BuildRequires:	perl(B::Deparse)
BuildRequires:	perl(B::Utils)
BuildRequires:	perl(Carp)
BuildRequires:	perl(Config)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Devel::Peek)
BuildRequires:	perl(DynaLoader)
BuildRequires:	perl(Exporter)
BuildRequires:	perl(ExtUtils::CBuilder)
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl(Hash::Util)
BuildRequires:	perl(IO::File)
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Symbol)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Text::Abbrev)
BuildRequires:	perl(Text::Balanced)
BuildRequires:	perl(base)
BuildRequires:	perl(overload)
BuildRequires:	perl(re)
BuildRequires:	perl(strict)
BuildRequires:	perl(utf8)
BuildRequires:	perl(vars)
BuildRequires:	perl(warnings)
BuildRequires:	perl(warnings::register)
BuildRequires:	perl-devel
Requires:	perl(B::Utils)
Provides:	perl(Data::Dump::Streamer::_::Printers)

%description
Given a list of scalars or reference variables, writes out their contents in
perl syntax. The references can also be objects. The contents of each variable
is output using the least number of Perl statements as convenient, usually only
one. Self-referential structures, closures, and objects are output correctly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
yes | %{__perl} Build.PL installdirs=vendor
./Build

%check
./Build test

%install
%{__rm} -rf %{buildroot}
./Build install destdir=%{buildroot}

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml README
%{_mandir}/man3/*
%perl_vendorarch/Data
%perl_vendorarch/DDS.pm
%perl_vendorarch/auto/Data


%changelog
* Sun Jun 12 2011 sander85 <sander85> 2.320.0-2.mga2
+ Revision: 104371
- Rebuild for perl 5.14

* Fri Feb 25 2011 jquelin <jquelin> 2.320.0-1.mga1
+ Revision: 59699
- update to 2.32

* Mon Jan 24 2011 jquelin <jquelin> 2.220.0-4.mga1
+ Revision: 37283
- adding a requires exception

* Mon Jan 24 2011 jquelin <jquelin> 2.220.0-3.mga1
+ Revision: 36873
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 2.220.0-2.mga1
+ Revision: 33688
- mageia rebuild
- imported package perl-Data-Dump-Streamer

